GNU bug report logs - #8199
solaris: df strangeness on solaris 9/sparc with nfs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Reported by: Ben Walton <bwalton@HIDDEN>; dated Tue, 8 Mar 2011 03:47:02 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'solaris: df strangeness on solaris 9/sparc with nfs' from 'df strangeness on solaris 9/sparc with nfs' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 8199 <at> debbugs.gnu.org:


Received: (at 8199) by debbugs.gnu.org; 10 Mar 2011 13:56:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 10 08:56:07 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PxgLW-0000AR-SU
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2011 08:56:07 -0500
Received: from garcia.cquest.utoronto.ca ([192.82.128.9])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <bwalton@HIDDEN>) id 1PxgLV-00009y-3i
	for 8199 <at> debbugs.gnu.org; Thu, 10 Mar 2011 08:56:05 -0500
Received: from pinkfloyd.chass.utoronto.ca ([128.100.160.254]:59122 ident=93)
	by www.cquest.utoronto.ca with esmtp (Exim 4.43)
	id 1PxgLP-0008NW-IH; Thu, 10 Mar 2011 08:55:59 -0500
Received: from bwalton by pinkfloyd.chass.utoronto.ca with local (Exim 4.72)
	(envelope-from <bwalton@HIDDEN>)
	id 1PxgLP-0008Pm-HN; Thu, 10 Mar 2011 08:55:59 -0500
Content-Type: text/plain; charset=UTF-8
Subject: Re: bug#8199: df strangeness on solaris 9/sparc with nfs
From: Ben Walton <bwalton@HIDDEN>
To: =?utf-8?q?P=C3=A1draig_Brady?= <p@HIDDEN>,
	8199 <8199 <at> debbugs.gnu.org>
In-reply-to: <1299764561-sup-9152@HIDDEN>
References: <1299553965-sup-4140@HIDDEN>
	<4D78CD30.5080503@HIDDEN>
	<1299764561-sup-9152@HIDDEN>
Date: Thu, 10 Mar 2011 08:55:59 -0500
Message-Id: <1299765272-sup-1843@HIDDEN>
User-Agent: Sup/git
Content-Transfer-Encoding: 8bit
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: 8199
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

Excerpts from Ben Walton's message of Thu Mar 10 08:43:24 -0500 2011:

> Certainly.  See attached.

Also, the sparc host is a solaris 9 branded zone inside a solaris 10
update 9 box, while the i386 box is native.

Thanks
-Ben
--
Ben Walton
Systems Programmer - CHASS
University of Toronto
C:416.407.5610 | W:416.978.4302





Information forwarded to owner <at> debbugs.gnu.org, bug-coreutils@HIDDEN:
bug#8199; Package coreutils. Full text available.

Message received at 8199 <at> debbugs.gnu.org:


Received: (at 8199) by debbugs.gnu.org; 10 Mar 2011 13:43:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 10 08:43:32 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pxg9M-0008L1-EE
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2011 08:43:32 -0500
Received: from garcia.cquest.utoronto.ca ([192.82.128.9])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <bwalton@HIDDEN>) id 1Pxg9K-0008Kq-8Z
	for 8199 <at> debbugs.gnu.org; Thu, 10 Mar 2011 08:43:30 -0500
Received: from pinkfloyd.chass.utoronto.ca ([128.100.160.254]:34115 ident=93)
	by www.cquest.utoronto.ca with esmtp (Exim 4.43)
	id 1Pxg9E-0008Lj-N7; Thu, 10 Mar 2011 08:43:24 -0500
Received: from bwalton by pinkfloyd.chass.utoronto.ca with local (Exim 4.72)
	(envelope-from <bwalton@HIDDEN>)
	id 1Pxg9E-0008M2-M4; Thu, 10 Mar 2011 08:43:24 -0500
Subject: Re: bug#8199: df strangeness on solaris 9/sparc with nfs
From: Ben Walton <bwalton@HIDDEN>
To: =?utf-8?q?P=C3=A1draig_Brady?= <p@HIDDEN>
In-reply-to: <4D78CD30.5080503@HIDDEN>
References: <1299553965-sup-4140@HIDDEN>
	<4D78CD30.5080503@HIDDEN>
Date: Thu, 10 Mar 2011 08:43:24 -0500
Message-Id: <1299764561-sup-9152@HIDDEN>
User-Agent: Sup/git
Content-Transfer-Encoding: 8bit
Content-Type: multipart/mixed; boundary="=-1299764604-672777-30421-7329-7-="
MIME-Version: 1.0
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: 8199
Cc: 8199 <8199 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)


--=-1299764604-672777-30421-7329-7-=
Content-Type: text/plain; charset=UTF-8
Content-Disposition: inline

Excerpts from Pádraig Brady's message of Thu Mar 10 08:08:00 -0500 2011:

Hi Pádraig,

> Can you send the contents of the two /etc/mtab files.  Perhaps there
> isn't a type field in the sparc one, or perhaps your libc is
> behaving differently on sparc.

Certainly.  See attached.

Thanks
-Ben
--
Ben Walton
Systems Programmer - CHASS
University of Toronto
C:416.407.5610 | W:416.978.4302


--=-1299764604-672777-30421-7329-7-=
Content-Disposition: attachment; filename="mnttab.i386"
Content-Type: application/octet-stream; name="mnttab.i386"
Content-Transfer-Encoding: base64

L2Rldi9kc2svYzF0MGQwczAJLwl1ZnMJcncsaW50cixsYXJnZWZpbGVzLGxv
Z2dpbmcseGF0dHIsb25lcnJvcj1wYW5pYyxzdWlkLGRldj03NDAwMDAJMTI4
NDQ2MDYyNwovcHJvYwkvcHJvYwlwcm9jCWRldj0yZTgwMDAwCTEyODQ0NjA2
MjYKbW50dGFiCS9ldGMvbW50dGFiCW1udGZzCWRldj0yZjQwMDAwCTEyODQ0
NjA2MjYKZmQJL2Rldi9mZAlmZAlydyxzdWlkLGRldj0yZjgwMDAwCTEyODQ0
NjA2MjcKc3dhcAkvdmFyL3J1bgl0bXBmcwl4YXR0cixkZXY9MQkxMjg0NDYw
NjMxCnN3YXAJL3RtcAl0bXBmcwl4YXR0cixkZXY9MgkxMjg0NDYwNjMxCi1o
b3N0cwkvbmV0CWF1dG9mcwlpbmRpcmVjdCxub3N1aWQsaWdub3JlLG5vYnJv
d3NlLGRldj0zMTAwMDAxCTEyODQ0NjA2MzMKYXV0b19ob21lCS9ob21lCWF1
dG9mcwlpbmRpcmVjdCxpZ25vcmUsbm9icm93c2UsZGV2PTMxMDAwMDIJMTI4
NDQ2MDYzMwoteGZuCS94Zm4JYXV0b2ZzCWluZGlyZWN0LGlnbm9yZSxkZXY9
MzEwMDAwMwkxMjg0NDYwNjMzCmN1cnJlbnQ5eDp2b2xkKHBpZDQyMykJL3Zv
bAluZnMJaWdub3JlLG5vcXVvdGEsZGV2PTMwYzAwMDEJMTI4NDQ2MDY3Nwpj
c3c6L2V4cG9ydC9ob21lL29wawkvaG9tZS9vcGsJbmZzCXhhdHRyLGRldj0z
MGMwMWU2CTEyODcwMDM4ODEKY3N3Oi9leHBvcnQvaG9tZS9kYW0JL2hvbWUv
ZGFtCW5mcwl4YXR0cixkZXY9MzBjMDM5NQkxMjg5NDk0NjY4CmNzdzovZXhw
b3J0L2hvbWUvc2theXNlcgkvaG9tZS9za2F5c2VyCW5mcwl4YXR0cixkZXY9
MzBjMDRlMQkxMjkxMTU2MjI5CmNzdzovZXhwb3J0L2hvbWUvZ2FkYXZpcwkv
aG9tZS9nYWRhdmlzCW5mcwl4YXR0cixkZXY9MzBjMDRmYwkxMjkxMzM0NTc0
CmNzdzovZXhwb3J0L2hvbWUvaHNvbgkvaG9tZS9oc29uCW5mcwl4YXR0cixk
ZXY9MzBjMDgzNwkxMjk2NDkxNzEzCmNzdzovZXhwb3J0L2hvbWUvYndhbHRv
bgkvaG9tZS9id2FsdG9uCW5mcwl4YXR0cixkZXY9MzBjMDkyMgkxMjk3NjEw
NjA5Cg==

--=-1299764604-672777-30421-7329-7-=
Content-Disposition: attachment; filename="mnttab.sparc"
Content-Type: application/octet-stream; name="mnttab.sparc"
Content-Transfer-Encoding: base64
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--=-1299764604-672777-30421-7329-7-=--




Information forwarded to owner <at> debbugs.gnu.org, bug-coreutils@HIDDEN:
bug#8199; Package coreutils. Full text available.

Message received at 8199 <at> debbugs.gnu.org:


Received: (at 8199) by debbugs.gnu.org; 10 Mar 2011 13:09:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 10 08:09:22 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PxfcH-0007aC-Rn
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2011 08:09:22 -0500
Received: from mail1.slb.deg.dub.stisp.net ([84.203.253.98])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <P@HIDDEN>) id 1PxfcF-0007Zy-Km
	for 8199 <at> debbugs.gnu.org; Thu, 10 Mar 2011 08:09:20 -0500
Received: (qmail 13520 invoked from network); 10 Mar 2011 13:09:13 -0000
Received: from unknown (HELO ?192.168.2.25?) (84.203.137.218)
	by mail1.slb.deg.dub.stisp.net with SMTP; 10 Mar 2011 13:09:13 -0000
Message-ID: <4D78CD30.5080503@HIDDEN>
Date: Thu, 10 Mar 2011 13:08:00 +0000
From: =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US;
	rv:1.9.1.8) Gecko/20100227 Thunderbird/3.0.3
MIME-Version: 1.0
To: Ben Walton <bwalton@HIDDEN>
Subject: Re: bug#8199: df strangeness on solaris 9/sparc with nfs
References: <1299553965-sup-4140@HIDDEN>
In-Reply-To: <1299553965-sup-4140@HIDDEN>
X-Enigmail-Version: 1.0.1
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8199
Cc: 8199 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Can you send the contents of the two /etc/mtab files.
Perhaps there isn't a type field in the sparc one,
or perhaps your libc is behaving differently on sparc.

thanks,
Pádraig.




Information forwarded to owner <at> debbugs.gnu.org, bug-coreutils@HIDDEN:
bug#8199; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Mar 2011 02:49:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 09 21:49:09 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PxVw4-0001Au-TO
	for submit <at> debbugs.gnu.org; Wed, 09 Mar 2011 21:49:09 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <bwalton@HIDDEN>) id 1PxVw3-0001Ah-Ja
	for submit <at> debbugs.gnu.org; Wed, 09 Mar 2011 21:49:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <bwalton@HIDDEN>) id 1PxVvx-0008Af-Gm
	for submit <at> debbugs.gnu.org; Wed, 09 Mar 2011 21:49:02 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:59180)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bwalton@HIDDEN>) id 1PxVvx-0008Ab-0j
	for submit <at> debbugs.gnu.org; Wed, 09 Mar 2011 21:49:01 -0500
Received: from [140.186.70.92] (port=33989 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PxVvv-0005NJ-Bf
	for bug-coreutils@HIDDEN; Wed, 09 Mar 2011 21:49:00 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <bwalton@HIDDEN>) id 1PxVvu-0008AF-85
	for bug-coreutils@HIDDEN; Wed, 09 Mar 2011 21:48:59 -0500
Received: from garcia.cquest.utoronto.ca ([192.82.128.9]:51998)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bwalton@HIDDEN>) id 1PxVvu-00085Z-3U
	for bug-coreutils@HIDDEN; Wed, 09 Mar 2011 21:48:58 -0500
Received: from pinkfloyd.chass.utoronto.ca ([128.100.160.254]:49639 ident=93)
	by www.cquest.utoronto.ca with esmtp (Exim 4.43) id 1PxVvO-0006QU-DZ
	for bug-coreutils@HIDDEN; Wed, 09 Mar 2011 21:48:26 -0500
Received: from bwalton by pinkfloyd.chass.utoronto.ca with local (Exim 4.72)
	(envelope-from <bwalton@HIDDEN>) id 1PxVvO-0004Yx-Cg
	for bug-coreutils@HIDDEN; Wed, 09 Mar 2011 21:48:26 -0500
Subject: Re: bug#8199: df strangeness on solaris 9/sparc with nfs
From: Ben Walton <bwalton@HIDDEN>
To: bug-coreutils <bug-coreutils@HIDDEN>
In-reply-to: <4D75F6B8.50602@HIDDEN>
References: <1299553965-sup-4140@HIDDEN>
	<4D75F6B8.50602@HIDDEN>
Date: Wed, 09 Mar 2011 21:48:26 -0500
Message-Id: <1299724867-sup-2182@HIDDEN>
User-Agent: Sup/git
Content-Transfer-Encoding: 8bit
Content-Type: multipart/mixed; boundary="=-1299725306-381778-30421-3493-6-="
MIME-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)


--=-1299725306-381778-30421-3493-6-=
Content-Type: text/plain; charset=UTF-8
Content-Disposition: inline

Excerpts from Pádraig Brady's message of Tue Mar 08 04:28:24 -0500 2011:

Hi Pádraig,

Thanks for the quick reply and apologies for my slow response.

> That specific 8.10 test failure is addressed separately upstream.
> I'm leaving this bug open to record the df behavior you detail
> above.

Ok, that's good to know.

> It triggers when df can't read the list of mounted file systems (why
> can it not on your sparc system?)

It is able to read the list, but it then proceeds to behave very
differently compared to the i386 version.  I've attached truss output
from the two boxes.  Hopefully it's of use.

Thanks
-Ben
--
Ben Walton
Systems Programmer - CHASS
University of Toronto
C:416.407.5610 | W:416.978.4302


--=-1299725306-381778-30421-3493-6-=
Content-Disposition: attachment; filename="gdf.truss.i386"
Content-Type: application/octet-stream; name="gdf.truss.i386"
Content-Transfer-Encoding: base64
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--=-1299725306-381778-30421-3493-6-=
Content-Disposition: attachment; filename="gdf.truss.sparc"
Content-Type: application/octet-stream; name="gdf.truss.sparc"
Content-Transfer-Encoding: base64
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--=-1299725306-381778-30421-3493-6-=--




Information forwarded to owner <at> debbugs.gnu.org, bug-coreutils@HIDDEN:
bug#8199; Package coreutils. Full text available.

Message received at 8199 <at> debbugs.gnu.org:


Received: (at 8199) by debbugs.gnu.org; 8 Mar 2011 09:29:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 08 04:29:35 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PwtEU-0006RK-S0
	for submit <at> debbugs.gnu.org; Tue, 08 Mar 2011 04:29:35 -0500
Received: from mail1.slb.deg.dub.stisp.net ([84.203.253.98])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <P@HIDDEN>) id 1PwtET-0006R8-4b
	for 8199 <at> debbugs.gnu.org; Tue, 08 Mar 2011 04:29:34 -0500
Received: (qmail 30402 invoked from network); 8 Mar 2011 09:29:26 -0000
Received: from unknown (HELO ?192.168.2.25?) (84.203.137.218)
	by mail1.slb.deg.dub.stisp.net with SMTP; 8 Mar 2011 09:29:26 -0000
Message-ID: <4D75F6B8.50602@HIDDEN>
Date: Tue, 08 Mar 2011 09:28:24 +0000
From: =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US;
	rv:1.9.1.8) Gecko/20100227 Thunderbird/3.0.3
MIME-Version: 1.0
To: 8199 <at> debbugs.gnu.org
Subject: Re: bug#8199: df strangeness on solaris 9/sparc with nfs
References: <1299553965-sup-4140@HIDDEN>
In-Reply-To: <1299553965-sup-4140@HIDDEN>
X-Enigmail-Version: 1.0.1
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8199
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 08/03/11 03:18, Ben Walton wrote:
> 
> Hi All,
> 
> I'm building an 8.10 update package for OpenCSW and found what I
> believe to be a bug in df (8.8 is the current version).  This is
> uncovered by the fiemap_capable_ function in the test suite and causes
> the cp/fiemap-perf and cp/fiemap-2 tests to fail on sparc only.
> 
> The filesystem is NFS in both cases (from the same source).  I don't
> presently have time to dig into the cause (and it may be fixed in
> newer 8.9 or 8.10 anyway) but will try to do so in the next few
> days...Please let me know if there is something specific you'd find
> useful in the meantime.
> 
> On i386, I get:
> 
> $ gdf --version
> df (GNU coreutils) 8.8
> Copyright (C) 2010 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later
> <http://gnu.org/licenses/gpl.html>.
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> 
> Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.
> 
> $ uname -a
> SunOS current9x 5.9 Generic_122301-52 i86pc i386 i86pc Solaris
> $ gdf -T -t btrfs -t xfs -t ext4 -t ocfs2 -t gfs2 .
> gdf: no file systems processed
> 
> On sparc, I get:
> 
> $ gdf --version
> df (GNU coreutils) 8.8
> Copyright (C) 2010 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later
> <http://gnu.org/licenses/gpl.html>.
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> 
> Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.
> 
> $ uname -a
> SunOS current9s 5.9 Generic_Virtual sun4u sparc SUNW,SPARC-Enterprise-T5220 Solaris
> 
> $ gdf -T -t btrfs -t xfs -t ext4 -t ocfs2 -t gfs2 .
> Filesystem    Type   1K-blocks      Used Available Use% Mounted on
> -                -    43040565   3843892  39196673   9% /home/bwalton

Hi,

That specific 8.10 test failure is addressed separately upstream.
I'm leaving this bug open to record the df behavior you detail above.
It triggers when df can't read the list of mounted file systems
(why can it not on your sparc system?)

We may try to match the output of statfs() in this case,
and if no direct match, then fail?  I'm not sure.

cheers,
Pádraig.




Information forwarded to owner <at> debbugs.gnu.org, bug-coreutils@HIDDEN:
bug#8199; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Mar 2011 03:46:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 07 22:46:35 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PwnsY-0006aW-Ew
	for submit <at> debbugs.gnu.org; Mon, 07 Mar 2011 22:46:35 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <bwalton@HIDDEN>) id 1PwnRi-0005y4-17
	for submit <at> debbugs.gnu.org; Mon, 07 Mar 2011 22:18:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <bwalton@HIDDEN>) id 1PwnRb-0000mm-QN
	for submit <at> debbugs.gnu.org; Mon, 07 Mar 2011 22:18:44 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:45695)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bwalton@HIDDEN>) id 1PwnRb-0000mc-FP
	for submit <at> debbugs.gnu.org; Mon, 07 Mar 2011 22:18:43 -0500
Received: from [140.186.70.92] (port=47951 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PwnRa-0006au-2m
	for bug-coreutils@HIDDEN; Mon, 07 Mar 2011 22:18:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <bwalton@HIDDEN>) id 1PwnRY-0000mA-QP
	for bug-coreutils@HIDDEN; Mon, 07 Mar 2011 22:18:41 -0500
Received: from garcia.cquest.utoronto.ca ([192.82.128.9]:47335)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bwalton@HIDDEN>) id 1PwnRY-0000hS-OC
	for bug-coreutils@HIDDEN; Mon, 07 Mar 2011 22:18:40 -0500
Received: from pinkfloyd.chass.utoronto.ca ([128.100.160.254]:56171 ident=93)
	by www.cquest.utoronto.ca with esmtp (Exim 4.43) id 1PwnR3-0008Ii-PM
	for bug-coreutils@HIDDEN; Mon, 07 Mar 2011 22:18:09 -0500
Received: from bwalton by pinkfloyd.chass.utoronto.ca with local (Exim 4.72)
	(envelope-from <bwalton@HIDDEN>) id 1PwnR3-0003nj-OL
	for bug-coreutils@HIDDEN; Mon, 07 Mar 2011 22:18:09 -0500
Content-Type: text/plain; charset=UTF-8
Subject: df strangeness on solaris 9/sparc with nfs
From: Ben Walton <bwalton@HIDDEN>
To: bug-coreutils <bug-coreutils@HIDDEN>
Date: Mon, 07 Mar 2011 22:18:09 -0500
Message-Id: <1299553965-sup-4140@HIDDEN>
User-Agent: Sup/git
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 07 Mar 2011 22:46:33 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)


Hi All,

I'm building an 8.10 update package for OpenCSW and found what I
believe to be a bug in df (8.8 is the current version).  This is
uncovered by the fiemap_capable_ function in the test suite and causes
the cp/fiemap-perf and cp/fiemap-2 tests to fail on sparc only.

The filesystem is NFS in both cases (from the same source).  I don't
presently have time to dig into the cause (and it may be fixed in
newer 8.9 or 8.10 anyway) but will try to do so in the next few
days...Please let me know if there is something specific you'd find
useful in the meantime.

On i386, I get:

$ gdf --version
df (GNU coreutils) 8.8
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.

$ uname -a
SunOS current9x 5.9 Generic_122301-52 i86pc i386 i86pc Solaris
$ gdf -T -t btrfs -t xfs -t ext4 -t ocfs2 -t gfs2 .
gdf: no file systems processed

On sparc, I get:

$ gdf --version
df (GNU coreutils) 8.8
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.

$ uname -a
SunOS current9s 5.9 Generic_Virtual sun4u sparc SUNW,SPARC-Enterprise-T5220 Solaris

$ gdf -T -t btrfs -t xfs -t ext4 -t ocfs2 -t gfs2 .
Filesystem    Type   1K-blocks      Used Available Use% Mounted on
-                -    43040565   3843892  39196673   9% /home/bwalton

Thanks
-Ben
--
Ben Walton
Systems Programmer - CHASS
University of Toronto
C:416.407.5610 | W:416.978.4302





Acknowledgement sent to Ben Walton <bwalton@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-coreutils@HIDDEN:
bug#8199; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 6 Nov 2018 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.